Next: memcmp, Previous: memccpy, Up: Strings

### 5.6 `memchr`—find character in memory

Synopsis

         #include <string.h>
         void *memchr(const void *src, int c, size_t length);

Description
This function searches memory starting at `*`src for the character c. The search only ends with the first occurrence of c, or after length characters; in particular, `NUL` does not terminate the search.

Returns
If the character c is found within length characters of `*`src, a pointer to the character is returned. If c is not found, then `NULL` is returned.

Portability
`memchr` is ANSI C.

`memchr` requires no supporting OS subroutines.